
Smart Proxy - Feature #29468

Add a default URL validator for plugins

04/03/2020 11:06 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Plugins   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/757

  

Description

URLs are common settings and the Proxy should provide validation out of the box for this.

Related issues:

Related to Smart Proxy - Feature #34164: Add an enum plugin validator Closed

Associated revisions

Revision 8b27dabf - 04/11/2020 04:03 PM - Ewoud Kohl van Wijngaarden

Fixes #29468 - Add default URL validator for plugins

URL settings are common and this moves it from a custom validator in the

Puppet module to a default. Also adds tests and ensures the dhcp and dns

libvirt providers use it too.

History

#1 - 04/03/2020 11:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/757 added

#2 - 04/11/2020 04:03 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/11/2020 05:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset 8b27dabfcbcd6a1e8873c7f75b90a253aeb27bec.

#4 - 12/16/2021 01:45 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #34164: Add an enum plugin validator added
